RESTinio

Public Member Functions | Private Attributes | List of all members
restinio::impl::sendfile_write_operation_t Struct Reference

Send file operation wrapper. More...

`#include <buffers.hpp>`

Inheritance diagram for restinio::impl::sendfile_write_operation_t:

## Public Member Functions
| sendfile_write_operation_t ()=delete
| sendfile_write_operation_t (sendfile_t &&sf_opts)
| sendfile_write_operation_t (const sendfile_write_operation_t &)=delete
sendfile_write_operation_t & | operator= (const sendfile_write_operation_t &)=delete
| sendfile_write_operation_t (sendfile_write_operation_t &&)=default
sendfile_write_operation_t & | operator= (sendfile_write_operation_t &&)=delete
sendfile_t & | sendfile_options () noexcept
| Get sendfile operation detaiols. More...
An implementation of writable_base_t interface.
See also writable_base_t
virtual void | relocate_to (void *storage) override
| Move this buffer enitity to a given location. More...
virtual std::size_t | size () const override
| Get the size of a writable piece of data. More...
Public Member Functions inherited from restinio::impl::writable_base_t
| writable_base_t ()=default
| writable_base_t (const writable_base_t &)=default
| writable_base_t (writable_base_t &&)=default
writable_base_t & | operator= (const writable_base_t &)=delete
writable_base_t & | operator= (writable_base_t &&)=delete
virtual | ~writable_base_t ()
virtual void | relocate_to (void *storage)=0
| Move this buffer enitity to a given location. More...
virtual std::size_t | size () const =0
| Get the size of a writable piece of data. More...

## Private Attributes
std::unique_ptr< sendfile_t > | m_sendfile_options
| A pointer to sendfile operation details. More...

## Detailed Description

Send file operation wrapper.

Definition at line 325 of file buffers.hpp.

## Constructor & Destructor Documentation

## ◆ sendfile_write_operation_t() [1/4]

restinio::impl::sendfile_write_operation_t::sendfile_write_operation_t | ( |  | ) |
| delete

## ◆ sendfile_write_operation_t() [2/4]

restinio::impl::sendfile_write_operation_t::sendfile_write_operation_t | ( | sendfile_t && | sf_opts | ) |
| inline

Definition at line 330 of file buffers.hpp.

## ◆ sendfile_write_operation_t() [3/4]

restinio::impl::sendfile_write_operation_t::sendfile_write_operation_t | ( | const sendfile_write_operation_t & |  | ) |
| delete

## ◆ sendfile_write_operation_t() [4/4]

restinio::impl::sendfile_write_operation_t::sendfile_write_operation_t | ( | sendfile_write_operation_t && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

sendfile_write_operation_t & restinio::impl::sendfile_write_operation_t::operator= | ( | const sendfile_write_operation_t & |  | ) |
| delete

## ◆ operator=() [2/2]

sendfile_write_operation_t & restinio::impl::sendfile_write_operation_t::operator= | ( | sendfile_write_operation_t && |  | ) |
| delete

## ◆ relocate_to()

virtual void restinio::impl::sendfile_write_operation_t::relocate_to | ( | void * | storage | ) |
| inline override virtual

Move this buffer enitity to a given location.

Note
  storage must have a sufficient space and proper alignment.

Implements restinio::impl::writable_base_t.

Definition at line 346 of file buffers.hpp.

## ◆ sendfile_options()

sendfile_t & restinio::impl::sendfile_write_operation_t::sendfile_options | ( |  | ) |
| inline noexcept

Get sendfile operation detaiols.

Note
  Since v.0.4.9 it is non-const method. It is because we have to work with mutable sendfile_t on some platform (like Windows).

Definition at line 367 of file buffers.hpp.

## ◆ size()

virtual std::size_t restinio::impl::sendfile_write_operation_t::size | ( |  | ) | const
| inline override virtual

Get the size of a writable piece of data.

Implements restinio::impl::writable_base_t.

Definition at line 351 of file buffers.hpp.

## Member Data Documentation

## ◆ m_sendfile_options

std::unique_ptr< sendfile_t > restinio::impl::sendfile_write_operation_t::m_sendfile_options
| private

A pointer to sendfile operation details.

Definition at line 374 of file buffers.hpp.

The documentation for this struct was generated from the following file:

- restinio/buffers.hpp